> ## Documentation Index
> Fetch the complete documentation index at: https://meetbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

> Required permissions: `users.delete.*`




## OpenAPI

````yaml openapi.yaml delete /users/{user_id}
openapi: 3.0.3
info:
  title: MeetBit Public API
  version: '2.0'
servers:
  - url: https://{primary_domain}/api/public/v2.0
    variables:
      primary_domain:
        default: example.com
        description: Your tenant's primary
security:
  - AccessKeyId: []
    AccessKeySecret: []
paths:
  /users/{user_id}:
    parameters:
      - in: path
        name: user_id
        required: true
        schema:
          type: integer
    delete:
      tags:
        - Users
      summary: Delete User
      description: |
        Required permissions: `users.delete.*`
      responses:
        '204':
          $ref: '#/components/responses/DeletedResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedErrorResponse'
        '404':
          $ref: '#/components/responses/ResourceObjectDoesNotExistErrorResponse'
        '429':
          $ref: '#/components/responses/RateLimitedErrorResponse'
        '500':
          $ref: '#/components/responses/UnexpectedErrorResponse'
components:
  responses:
    DeletedResponse:
      description: Successfully deleted the resource object.
    UnauthorizedErrorResponse:
      description: Client does not have the appropriate permissions.
      content:
        text/plain:
          schema:
            anyOf:
              - $ref: '#/components/schemas/UnauthenticatedError'
              - $ref: '#/components/schemas/UnauthorizedError'
    ResourceObjectDoesNotExistErrorResponse:
      description: Resource object does not exist.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/ResourceObjectDoesNotExistError'
    RateLimitedErrorResponse:
      description: Too many requests have been made.
      headers:
        Retry-After:
          schema:
            type: integer
            description: Number of seconds to wait before making another request.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/RateLimitedError'
    UnexpectedErrorResponse:
      description: An unexpected error occurred.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/ServerError'
  schemas:
    UnauthenticatedError:
      type: string
      example: Invalid or missing access key.
    UnauthorizedError:
      type: string
      example: Access denied.
    ResourceObjectDoesNotExistError:
      type: string
      example: Resource object does not exist.
    RateLimitedError:
      type: string
      example: Too many requests.
    ServerError:
      type: string
      example: An unexpected error occurred.
  securitySchemes:
    AccessKeyId:
      type: apiKey
      name: X-Access-Key-Id
      in: header
    AccessKeySecret:
      type: apiKey
      name: X-Access-Key-Secret
      in: header

````